// priority: 0

ServerEvents.recipes((event) => {
    event.recipes.create
        .compacting(
            Item.of("mekanism:ingot_osmium", 9),

            [
                Item.of("mekanism:ingot_tin", 3),
                Item.of("mekanism:ingot_lead", 3),
                Item.of("createbb:blue_meth", 2),
                Item.of("gobber2:gobber2_ingot_end"),
            ]
        )
        .superheated();

    event.remove("mekanism:meka_tool");
    event.remove("mekanism:mekasuit_helmet");
    event.remove("mekanism:mekasuit_bodyarmor");
    event.remove("mekanism:mekasuit_pants");
    event.remove("mekanism:mekasuit_boots");

    event.shaped(
        Item.of("kubejs:reinforced_polonium", 4),

        [" A ", "ABA", " A "],

        {
            A: "#forge:pellets/polonium",
            B: "gobber2:gobber2_ingot_end",
        }
    );

    event.shaped(
        Item.of("mekanism:meka_tool"),

        ["ABA", "CDC", "EFE"],

        {
            A: "#forge:circuits/ultimate",
            B: "mekanism:configurator",
            C: "mekanism:hdpe_sheet",
            D: "mekanism:atomic_disassembler",
            E: "#forge:pellets/polonium_reinforced",
            F: "mekanism:ultimate_induction_cell",
        }
    );

    event.shaped(
        Item.of("mekanism:mekasuit_helmet"),

        ["ABA", "ACA", "DED"],

        {
            A: "mekanism:hdpe_sheet",
            B: "#forge:circuits/ultimate",
            C: "pneumaticcraft:pneumatic_helmet",
            D: "#forge:pellets/polonium_reinforced",
            E: "mekanism:ultimate_induction_cell",
        }
    );

    event.shaped(
        Item.of("mekanism:mekasuit_bodyarmor"),

        ["ABA", "ACA", "DED"],

        {
            A: "mekanism:hdpe_sheet",
            B: "#forge:circuits/ultimate",
            C: "pneumaticcraft:pneumatic_chestplate",
            D: "#forge:pellets/polonium_reinforced",
            E: "mekanism:ultimate_induction_cell",
        }
    );

    event.shaped(
        Item.of("mekanism:mekasuit_pants"),

        ["ABA", "ACA", "DED"],

        {
            A: "mekanism:hdpe_sheet",
            B: "#forge:circuits/ultimate",
            C: "pneumaticcraft:pneumatic_leggings",
            D: "#forge:pellets/polonium_reinforced",
            E: "mekanism:ultimate_induction_cell",
        }
    );

    event.shaped(
        Item.of("mekanism:mekasuit_boots"),

        ["ABA", "ACA", "DED"],

        {
            A: "mekanism:hdpe_sheet",
            B: "#forge:circuits/ultimate",
            C: "pneumaticcraft:pneumatic_boots",
            D: "#forge:pellets/polonium_reinforced",
            E: "mekanism:ultimate_induction_cell",
        }
    );
});
